import numpy as np


def ojler(f, a, b, y0, n):
    h = (b - a) / n
    m = len(y0)
    t = np.zeros((n + 1, 1))
    y = np.zeros((n + 1, m))
    y[0, :] = y0
    t[0] = a
    for i in range(n):
        t[i + 1] = t[i] + h
        y1 = y[i] + h * f(t[i], y[i])
        y[i + 1] = y[i, :] + h * (f(t[i], y[i]) + f(t[i], y1))/2
    return t, y
